Getopt::Long::Parser(3pm)

NAME
Getopt::Long::Parser - Getopt::Long object oriented interface

SYNOPSIS
    use Getopt::Long::Parser;
    my $p = Getopt::Long::Parser->new;
    $p->configure( ...configuration options... );
    if ( $p->getoptions( ...options descriptions... ) ) ...
    if ( $p->getoptionsfromarray( \@array, ...options descriptions... ) ) ...

Configuration options can be passed to the constructor:

    my $p = Getopt::Long::Parser->new
             config => [...configuration options...];

DESCRIPTION
Getopt::Long::Parser is an object oriented interface to Getopt::Long. See its documentation for configuration and use.

Note that Getopt::Long and Getopt::Long::Parser are not object oriented. Getopt::Long::Parser emulates an object oriented interface, which should be okay for most purposes.

CONSTRUCTOR
    my $p = Getopt::Long::Parser->new( %options );

The constructor takes an optional hash with parameters.

config
    An array reference with configuration settings. See "Configuring Getopt::Long" in Getopt::Long for all possible settings.

METHODS
In the examples, $p is assumed to be the result of a call to the constructor.

  configure
    $p->configure( %settings );

Update the current config settings. See "Configuring Getopt::Long" in Getopt::Long for all possible settings.

  getoptionsfromarray
    $res = $p->getoptionsfromarray( $aref, @opts );

  getoptions
    $res = $p->getoptions( @opts );

The same as getoptionsfromarray( \@ARGV, @opts ).

SEE ALSO
Getopt::Long

AUTHOR
Johan Vromans <jvromans@squirrel.nl>

COPYRIGHT AND DISCLAIMER
This program is Copyright 1990,2015,2023 by Johan Vromans. This program is free software; you can redistribute it and/or modify it under the same terms as Perl.